Archive an event stream
curl --request DELETE \
--url https://api.extole.io/v6/event-streams/{eventStreamId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v6/event-streams/{eventStreamId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v6/event-streams/{eventStreamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"component_ids": [
"<string>"
],
"created_date": "2025-10-24T09:00:00.000Z",
"description": "<string>",
"filters": [
{
"id": "<string>",
"type": "APPLICATION_TYPE",
"app_types": [
"<string>"
]
}
],
"id": "<string>",
"name": "<string>",
"stop_at": "2025-10-24T09:00:00.000Z",
"tags": [
"<string>"
],
"updated_date": "2025-10-24T09:00:00.000Z"
}Event Streams
Archive an event stream
Archives the event-stream subscription, stopping event delivery without permanently removing the configuration. Returns the archived event stream.
DELETE
https://api.extole.io
/
v6
/
event-streams
/
{eventStreamId}
Archive an event stream
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Response
Successful response
Stored event stream definition. Fields name and description are unevaluated and appear in buildtime-evaluatable form.
description
Static Value · stringBuildtime - Handlebars · stringBuildtime - Javascript · string
required
The description as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use EventStreamBuildtimeContext.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
The name as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use EventStreamBuildtimeContext.
